# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/PipPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_PipPage(object):
    def setupUi(self, PipPage):
        PipPage.setObjectName("PipPage")
        PipPage.resize(532, 494)
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(PipPage)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.headerLabel = QtWidgets.QLabel(parent=PipPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_3.addWidget(self.headerLabel)
        self.line9_3 = QtWidgets.QFrame(parent=PipPage)
        self.line9_3.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9_3.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line9_3.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9_3.setObjectName("line9_3")
        self.verticalLayout_3.addWidget(self.line9_3)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=PipPage)
        self.groupBox_2.setObjectName("groupBox_2")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox_2)
        self.verticalLayout.setObjectName("verticalLayout")
        self.indexEdit = QtWidgets.QLineEdit(parent=self.groupBox_2)
        self.indexEdit.setClearButtonEnabled(True)
        self.indexEdit.setObjectName("indexEdit")
        self.verticalLayout.addWidget(self.indexEdit)
        self.indexLabel = QtWidgets.QLabel(parent=self.groupBox_2)
        self.indexLabel.setText("")
        self.indexLabel.setWordWrap(True)
        self.indexLabel.setOpenExternalLinks(True)
        self.indexLabel.setObjectName("indexLabel")
        self.verticalLayout.addWidget(self.indexLabel)
        self.verticalLayout_3.addWidget(self.groupBox_2)
        self.vulnerabilityGroup = QtWidgets.QGroupBox(parent=PipPage)
        self.vulnerabilityGroup.setCheckable(True)
        self.vulnerabilityGroup.setObjectName("vulnerabilityGroup")
        self.gridLayout = QtWidgets.QGridLayout(self.vulnerabilityGroup)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=self.vulnerabilityGroup)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.safetyDbMirrorEdit = QtWidgets.QLineEdit(parent=self.vulnerabilityGroup)
        self.safetyDbMirrorEdit.setClearButtonEnabled(True)
        self.safetyDbMirrorEdit.setObjectName("safetyDbMirrorEdit")
        self.gridLayout.addWidget(self.safetyDbMirrorEdit, 0, 1, 1, 2)
        self.safetyDbMirrorLabel = QtWidgets.QLabel(parent=self.vulnerabilityGroup)
        self.safetyDbMirrorLabel.setWordWrap(True)
        self.safetyDbMirrorLabel.setOpenExternalLinks(True)
        self.safetyDbMirrorLabel.setObjectName("safetyDbMirrorLabel")
        self.gridLayout.addWidget(self.safetyDbMirrorLabel, 1, 0, 1, 3)
        self.label_2 = QtWidgets.QLabel(parent=self.vulnerabilityGroup)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 2, 0, 1, 1)
        self.validitySpinBox = QtWidgets.QSpinBox(parent=self.vulnerabilityGroup)
        self.validitySpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.validitySpinBox.setMinimum(2)
        self.validitySpinBox.setMaximum(168)
        self.validitySpinBox.setObjectName("validitySpinBox")
        self.gridLayout.addWidget(self.validitySpinBox, 2, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(330, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 2, 2, 1, 1)
        self.verticalLayout_3.addWidget(self.vulnerabilityGroup)
        self.groupBox = QtWidgets.QGroupBox(parent=PipPage)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.noGlobalsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.noGlobalsCheckBox.setObjectName("noGlobalsCheckBox")
        self.verticalLayout_2.addWidget(self.noGlobalsCheckBox)
        self.noCondaCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.noCondaCheckBox.setObjectName("noCondaCheckBox")
        self.verticalLayout_2.addWidget(self.noCondaCheckBox)
        self.verticalLayout_3.addWidget(self.groupBox)
        spacerItem1 = QtWidgets.QSpacerItem(20, 234, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_3.addItem(spacerItem1)

        self.retranslateUi(PipPage)
        QtCore.QMetaObject.connectSlotsByName(PipPage)
        PipPage.setTabOrder(self.indexEdit, self.vulnerabilityGroup)
        PipPage.setTabOrder(self.vulnerabilityGroup, self.safetyDbMirrorEdit)
        PipPage.setTabOrder(self.safetyDbMirrorEdit, self.validitySpinBox)
        PipPage.setTabOrder(self.validitySpinBox, self.noCondaCheckBox)

    def retranslateUi(self, PipPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("PipPage", "<b>Configure Python Package Management</b>"))
        self.groupBox_2.setTitle(_translate("PipPage", "Index URL"))
        self.indexEdit.setToolTip(_translate("PipPage", "Enter the URL of the package index or leave empty to use the default"))
        self.vulnerabilityGroup.setToolTip(_translate("PipPage", "Select to enable the display of vulnerability information."))
        self.vulnerabilityGroup.setTitle(_translate("PipPage", "Vulnerability Checks"))
        self.label.setText(_translate("PipPage", "Safety DB URL:"))
        self.safetyDbMirrorEdit.setToolTip(_translate("PipPage", "Enter the base URL for the Safety DB mirror to be used"))
        self.label_2.setText(_translate("PipPage", "Cache Validity:"))
        self.validitySpinBox.setToolTip(_translate("PipPage", "Enter the Safety DB cache validity time in hours (2 hours up to 7 days)"))
        self.validitySpinBox.setSuffix(_translate("PipPage", " hours"))
        self.groupBox.setTitle(_translate("PipPage", "Environment"))
        self.noGlobalsCheckBox.setToolTip(_translate("PipPage", "Select to exclude global environments"))
        self.noGlobalsCheckBox.setText(_translate("PipPage", "Don\'t show global environments"))
        self.noCondaCheckBox.setToolTip(_translate("PipPage", "Select to exclude conda managed environments"))
        self.noCondaCheckBox.setText(_translate("PipPage", "Don\'t show \'Conda\' environments"))
